#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libwnck
Version		:	40.1
Release		:	14.4.0.0%{?dist}
Summary		:	Window Navigator Construction Kit
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://download.gnome.org/sources/libwnck/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gtk-doc
BuildRequires	:	startup-notification
BuildRequires	:	xorg-libXres
#-----------------------------------------------------------------------------
%description
%{name} is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.  

%{name} is not supported in the devel platform, which means OS vendors
won't guarantee the API/ABI long-term, but authors of open source apps
should feel free to use libwnck as users can always recompile against
a new version. The API/ABI has historically changed very little: we are
not changing it gratuitously or without soname increments.

Documentation for the API is available with gtk-doc. The code
implementing the tasklist or pager widgets (tasklist.c and pager.c) can
also be used as sample code.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
meson							\
        --prefix=%{_prefix}				\
	-Dbuildtype=release				\
	-Dgtk_doc=false					\
	..


ninja 

popd
	

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 


%files			
%defattr(-, root,root, -)

%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}-3.0/%{name}/*.h
%{_bindir}/wnck-urgency-monitor
%{_bindir}/wnckprop
%{_libdir}/%{name}-3.{la,so*}
%{_libdir}/pkgconfig/%{name}-3.0.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
#unable to generate gtk-doc
#%{_datadir}/gtk-doc/html/%{name}-3.0/*.{html,png}
#%{_datadir}/gtk-doc/html/%{name}-3.0/style.css
%{_datadir}/locale/*/LC_MESSAGES/%{name}-3.0.mo

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
